<?php
// rsce_idk_image_config.php
return array(
	'label' => array('Project images', ''),
	'types' => array('content'),
	'contentCategory' => 'IDK',
	'standardFields' => array('cssID'),
	'wrapper' => array(
			'type' => 'none',
	),
	'beTemplate' => 'rsce_idk_image_BACKEND',
	'fields' => array(
	
		// Images
		
		'pictures' => array(
			'label' => array('Images', ''),
			'elementLabel' => '',
			'inputType' => 'list',
			'minItems' => 1,
			'fields' => array(

				// Image

				'image' => array(
					'label' => array('Image' ,'Choose an image'),
					'inputType' => 'fileTree',
					'eval' => array(
						'fieldType' => 'radio',
						'filesOnly' => true,
						'extensions' => 'jpg,jpeg,png,gif,svg',
						'tl_class' => 'picture w50 w50x',
					),
				),

				'image_start' => array(
					'label' => array('Starting column', ''),
					'inputType' => 'select',
					'options' => array(
						'1' => '1',
						'2' => '2',
						'3' => '3',
						'4' => '4',
						'5' => '5',
						'6' => '6',
					),
					'eval' => array(
						// 'rte' => 'tinyMCE',
						'tl_class' => 'clr w50',
						// 'mandatory' => true,
					),
				),
				'image_width' => array(
					'label' => array('Image width', 'how many columns wide?'),
					'inputType' => 'select',
					'options' => array(
						'1' => '1 column',
						'2' => '2 columns',
						'3' => '3 columns',
						'4' => '4 columns',
						'5' => '5 columns',
						'6' => '6 columns',
					),
					'eval' => array(
						// 'rte' => 'tinyMCE',
						'tl_class' => 'w50',
						// 'mandatory' => true,
					),
				),

				'image_margin' => array(
					'label' => array('Add margin', 'Add white space on top and bottom of image'),
					'inputType' => 'checkbox',
					'eval' => array(
						// 'rte' => 'tinyMCE',
						'tl_class' => 'w50',
						// 'mandatory' => true,
					),
				),

				'caption_checkbox' => array(
					'label' => array('Add caption', 'Captions use a small font and are used on the projects pages'),
					'inputType' => 'checkbox',
					'eval' => array(
						// 'rte' => 'tinyMCE',
						'tl_class' => 'clr',
						// 'mandatory' => true,
					),
				),

				'text_checkbox' => array(
					'label' => array('Add text', 'This text uses a bigger font than captions'),
					'inputType' => 'checkbox',
					'eval' => array(
						// 'rte' => 'tinyMCE',
						'tl_class' => 'clr',
						// 'mandatory' => true,
					),
				),

				// Caption

				'caption_group' => array(
					'label' => array('Caption', ''),
					'dependsOn' => array(
						'field' => 'caption_checkbox',
						'value' => true,
					),
					'inputType' => 'group',
					'eval' => array(
					),
				),

				'caption' => array(
					'label' => array('Caption', ''),
					'inputType' => 'textarea',
					'dependsOn' => array(
						'field' => 'caption_checkbox',
						'value' => true,
					),
					'eval' => array(
						// 'rte' => 'tinyMCE',
						'tl_class' => 'clr long',
						// 'mandatory' => true,
					),
				),

				'caption_position' => array(
					'label' => array('Position', ''),
					'dependsOn' => array(
						'field' => 'caption_checkbox',
						'value' => true,
					),
					'inputType' => 'select',
					'options' => array(
						'left' => 'Left of image',
						'right' => 'Right of image',
						'bottom' => 'Below image',
					),
					'eval' => array(
						// 'rte' => 'tinyMCE',
						'tl_class' => 'clr w50',
						// 'mandatory' => true,
					),
				),

				// Text

				'text_group' => array(
					'label' => array('Text', ''),
					'dependsOn' => array(
						'field' => 'text_checkbox',
						'value' => true,
					),
					'inputType' => 'group',
					'eval' => array(
					),
				),

				'text' => array(
					'label' => array('Text', ''),
					'inputType' => 'textarea',
					'dependsOn' => array(
						'field' => 'text_checkbox',
						'value' => true,
					),
					'eval' => array(
						// 'rte' => 'tinyMCE',
						'tl_class' => 'clr long',
						// 'mandatory' => true,
					),
				),

				'text_position' => array(
					'label' => array('Position', ''),
					'dependsOn' => array(
						'field' => 'text_checkbox',
						'value' => true,
					),
					'inputType' => 'select',
					'options' => array(
						'left' => 'Left of image',
						'right' => 'Right of image',
						'bottom' => 'Below image',
					),
					'default' => 'bottom',
					'eval' => array(
						// 'rte' => 'tinyMCE',
						'tl_class' => 'clr w50 m12',
						// 'mandatory' => true,
					),
				),
				'text_vertical_position' => array(
					'label' => array('Vertical align', ''),
					'dependsOn' => array(
						'field' => 'text_position',
						'value' => array('left', 'right'), 
					),
					'inputType' => 'select',
					'options' => array(
						'top' => 'top',
						'center' => 'center',
						'bottom' => 'bottom',
					),
					'eval' => array(
						// 'rte' => 'tinyMCE',
						'tl_class' => 'w50 m12',
						// 'mandatory' => true,
					),
				),

				'text_width_checkbox' => array(
					'label' => array('individual width', 'check if you want to specify a certain width'),
					'inputType' => 'checkbox',
					// 'default' => true,
					'eval' => array(
						// 'rte' => 'tinyMCE',
						'tl_class' => 'clr',
						// 'mandatory' => true,
					),
				),

				'text_start' => array(
					'label' => array('Starting column', ''),
					'dependsOn' => array(
						'field' => 'text_width_checkbox',
						'value' => true, 
					),
					'inputType' => 'select',
					'options' => array(
						'1' => '1',
						'2' => '2',
						'3' => '3',
						'4' => '4',
						'5' => '5',
						'6' => '6',
					),
					'eval' => array(
						'tl_class' => 'clr w50',
					),
				),
				
				'text_width' => array(
					'label' => array('Text width', 'how many columns wide?'),
					'dependsOn' => array(
						'field' => 'text_width_checkbox',
						'value' => true, 
					),
					'inputType' => 'select',
					'options' => array(
						'1' => '1 column',
						'2' => '2 columns',
						'3' => '3 columns',
						'4' => '4 columns',
						'5' => '5 columns',
						'6' => '6 columns',
					),
					'eval' => array(
						// 'rte' => 'tinyMCE',
						'tl_class' => 'w50',
						// 'mandatory' => true,
					),
				),
				'text_margin_small' => array(
					'label' => array('Add small margin around text', 'Add white space on top and bottom of text'),
					'dependsOn' => array(
						'field' => 'text_checkbox',
						'value' => true,
					),
					'inputType' => 'checkbox',
					'eval' => array(
						// 'rte' => 'tinyMCE',
						'tl_class' => 'clr',
						// 'mandatory' => true,
					),
					
				),
				'text_margin' => array(
					'label' => array('Add big margin around text', 'Add white space on top and bottom of text'),
					'dependsOn' => array(
						'field' => 'text_checkbox',
						'value' => true,
					),
					'inputType' => 'checkbox',
					'eval' => array(
						// 'rte' => 'tinyMCE',
						'tl_class' => 'clr m12',
						// 'mandatory' => true,
					),
					
				),

			),
		),
  ),
);